POST api/medistreamprogramapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
MediStreamProgramViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| medistream_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| local_id | integer |
Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| active | boolean |
Required |
|
| duration | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"medistream_id": "5f54332f-d1a8-40da-90ba-7af8a885201f",
"id": "132bba3f-24cf-4693-9da0-a7fd6f44baae",
"local_id": 1,
"name": "sample string 3",
"active": true,
"duration": 1
}
application/xml, text/xml
Sample:
<medistream_program xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <duration>1</duration> <id>132bba3f-24cf-4693-9da0-a7fd6f44baae</id> <local_id>1</local_id> <medistream_id>5f54332f-d1a8-40da-90ba-7af8a885201f</medistream_id> <name>sample string 3</name> </medistream_program>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"174ec5f4-6e8a-4052-9480-cafefcf46d83"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">174ec5f4-6e8a-4052-9480-cafefcf46d83</guid>